/*
 * Copyright (C) oStorybook Team
 *
 * This program is free software, see <http://www.gnu.org/licenses/>.
 *
 * from the SHEF project developed and published by Bob Tantlinger.
 */
package shef.editors.wys;

import i18n.I18N;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import javax.swing.JEditorPane;
import javax.swing.KeyStroke;
import resources.icons.ICONS;
import resources.icons.IconUtil;
import storybook.help.Shortcut;

/**
 * Action which aligns HTML elements
 *
 * @author Bob Tantlinger
 *
 */
public class HelpAction extends HTMLTextEditAction {

	/**
	 * Creates a new HelpAction
	 *
	 * @param editor
	 * @throws IllegalArgumentException
	 */
	public HelpAction(WysiwygEditor editor) throws IllegalArgumentException {
		super(editor, "help");
		putValue(NAME, "help");
		setShortDescription(I18N.getMsg("help.shortcut"));
		setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_F1, 0));
		setSmallIcon(IconUtil.getIconSmall(ICONS.K.HELP));
	}

	@Override
	protected void updateWysiwygContextState(JEditorPane ed) {
		setSelected(true);
	}

	private boolean shouldBeSelected(JEditorPane ed) {
		return false;
	}

	@Override
	protected void wysiwygEditPerformed(ActionEvent e, JEditorPane editor) {
		Shortcut.show(null);
	}

}
