/*
Storybook: Open Source software for novelists and authors.
Copyright (C) 2008 - 2012 Martin Mustun

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 /* vérification OK */
package storybook.action;

import java.awt.event.ActionEvent;
import java.util.List;
import org.hibernate.Session;
import storybook.ctrl.Ctrl;
import storybook.model.Model;
import storybook.model.hbn.dao.ChapterDAO;
import storybook.model.hbn.entity.Chapter;
import storybook.model.hbn.entity.Scene;
import i18n.I18N;
import resources.icons.ICONS;
import resources.icons.IconUtil;
import storybook.ui.MainFrame;

/**
 * @author martin
 *
 */
@SuppressWarnings("serial")
public class ChapterOrderByTimestampAction extends AbstractEntityAction {

	private final Chapter chapter;

	public ChapterOrderByTimestampAction(MainFrame mainFrame, Chapter chapter) {
		super(mainFrame, chapter, I18N.getMsg("order.time"), IconUtil.getIconSmall(ICONS.K.SORT));
		this.chapter = chapter;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		Model model = mainFrame.getBookModel();
		Ctrl ctrl = mainFrame.getBookController();
		Session session = model.beginTransaction();
		ChapterDAO dao = new ChapterDAO(session);
		List<Scene> scenes = dao.findScenesOrderByTimestamp(chapter);
		session.close();
		int counter = 1;
		for (Scene scene : scenes) {
			scene.setSceneno(counter);
			ctrl.updateEntity(scene);
			++counter;
		}
	}
}
