/*
Storybook: Open Source software for novelists and authors.
Copyright (C) 2008 - 2012 Martin Mustun

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package storybook.action;

import java.awt.event.ActionEvent;
import java.io.File;
import i18n.I18N;
import storybook.model.hbn.entity.AbstractEntity;
import storybook.model.hbn.entity.Scene;
import resources.icons.ICONS;
import resources.icons.IconUtil;
import storybook.tools.file.XEditorFile;
import storybook.ui.MainFrame;

/**
 * @author favdb
 *
 */
@SuppressWarnings("serial")
public class EditSceneXeditorAction extends AbstractEntityAction {

	public EditSceneXeditorAction(MainFrame mainFrame, AbstractEntity entity) {
		super(mainFrame, entity, I18N.getMsg("xeditor"), IconUtil.getIconSmall(ICONS.K.LIBREOFFICE));
		//App.trace("EditSceneXeditorAction(" + mainFrame.getName() + "," + entity.toString() + ")");
	}

	@Override
	@SuppressWarnings("UnusedAssignment")
	public void actionPerformed(ActionEvent e) {
		//App.trace("EditSceneXeditorAction.actionPerformed(...) entity=" + entity.toString());
		String name = XEditorFile.getFilePath(mainFrame, (Scene) entity);
		if (name == null || name.isEmpty()) {
			name = XEditorFile.getDefaultFilePath(mainFrame, entity.getName());
		}
		if (name.isEmpty()) {
			return;
		}
		File file = new File(name);
		if (!file.exists()) {
			file = XEditorFile.createFile(mainFrame, name);
			if (file == null) {
				return;
			}
			((Scene) entity).setOdf(name);
		}
		XEditorFile.launchExternal(file.getAbsolutePath());
	}
}
