/*
 * Copyright (C) 2023 favdb
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package storybook.ui.review;

import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import org.miginfocom.swing.MigLayout;
import resources.icons.ICONS;
import storybook.model.hbn.entity.Endnote;
import storybook.ui.MIG;
import storybook.ui.MainFrame;
import storybook.ui.Ui;
import static storybook.ui.dialog.AbstractDialog.MANDATORY;

/**
 * static class for Review function
 *
 * @author favdb
 */
public class Review {

	private static JCheckBox ckReview;
	private static JButton btRenumber;
	private static JButton btRemove;

	/**
	 * get the menu function
	 *
	 * @param mainFrame
	 */
	public static void Menu(MainFrame mainFrame) {
		// nothing
	}

	/**
	 * get the properties parameters
	 *
	 * @param mainFrame
	 * @return
	 */
	public static JPanel Properties(MainFrame mainFrame) {
		JPanel p = new JPanel(new MigLayout(MIG.get(MIG.HIDEMODE2)));
		ckReview = Ui.initCheckBox(null,
				"ckReview",
				"book.revision",
				mainFrame.getBook().info.getReview(),
				!MANDATORY);
		ckReview.addActionListener(e -> {
			btRenumber.setVisible(ckReview.isSelected());
			btRemove.setVisible(ckReview.isSelected());
		});
		p.add(ckReview);
		btRenumber = Ui.initButton("btRenumber",
				"",
				ICONS.K.SORT,
				"comments.renumber",
				e -> Endnote.renumber(mainFrame, 1));
		btRenumber.setVisible(ckReview.isSelected());
		p.add(btRenumber);
		btRemove = Ui.initButton("btRemove",
				"",
				ICONS.K.DELETE,
				"comments.remove_all",
				e -> Endnote.removeAll(mainFrame, 1));
		btRemove.setVisible(ckReview.isSelected());
		p.add(btRemove);
		return p;
	}

}
